Create a person Record
curl --request POST \
--url https://api.attio.com/v2/objects/people/records \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"values": {
"email_addresses": [
"john-smith@attio.com"
],
"name": [
{
"first_name": "John",
"last_name": "Smith",
"full_name": "John Smith"
}
],
"description": "Developer met at event",
"company": [
{
"target_object": "companies",
"target_record_id": "99a03ff3-0435-47da-95cc-76b2caeb4dab"
},
{
"target_object": "companies",
"domains": [
{
"domain": "attio.com"
}
]
}
],
"phone_numbers": [
{
"original_phone_number": "+15558675309",
"country_code": "US"
}
],
"primary_location": [
{
"line_1": "1 Infinite Loop",
"line_2": null,
"line_3": null,
"line_4": null,
"locality": "Cupertino",
"region": "CA",
"postcode": "95014",
"country_code": "US",
"latitude": "37.331741",
"longitude": "-122.030333"
}
],
"linkedin": "https://linkedin.com/in/johnsmith"
}
}
}
'import requests
url = "https://api.attio.com/v2/objects/people/records"
payload = { "data": { "values": {
"email_addresses": ["john-smith@attio.com"],
"name": [
{
"first_name": "John",
"last_name": "Smith",
"full_name": "John Smith"
}
],
"description": "Developer met at event",
"company": [
{
"target_object": "companies",
"target_record_id": "99a03ff3-0435-47da-95cc-76b2caeb4dab"
},
{
"target_object": "companies",
"domains": [{ "domain": "attio.com" }]
}
],
"phone_numbers": [
{
"original_phone_number": "+15558675309",
"country_code": "US"
}
],
"primary_location": [
{
"line_1": "1 Infinite Loop",
"line_2": None,
"line_3": None,
"line_4": None,
"locality": "Cupertino",
"region": "CA",
"postcode": "95014",
"country_code": "US",
"latitude": "37.331741",
"longitude": "-122.030333"
}
],
"linkedin": "https://linkedin.com/in/johnsmith"
} } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
values: {
email_addresses: ['john-smith@attio.com'],
name: [{first_name: 'John', last_name: 'Smith', full_name: 'John Smith'}],
description: 'Developer met at event',
company: [
{
target_object: 'companies',
target_record_id: '99a03ff3-0435-47da-95cc-76b2caeb4dab'
},
{target_object: 'companies', domains: [{domain: 'attio.com'}]}
],
phone_numbers: [{original_phone_number: '+15558675309', country_code: 'US'}],
primary_location: [
{
line_1: '1 Infinite Loop',
line_2: null,
line_3: null,
line_4: null,
locality: 'Cupertino',
region: 'CA',
postcode: '95014',
country_code: 'US',
latitude: '37.331741',
longitude: '-122.030333'
}
],
linkedin: 'https://linkedin.com/in/johnsmith'
}
}
})
};
fetch('https://api.attio.com/v2/objects/people/records', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": {
"workspace_id": "14beef7a-99f7-4534-a87e-70b564330a4c",
"object_id": "97052eb9-e65e-443f-a297-f2d9a4a7f795",
"record_id": "bf071e1f-6035-429d-b874-d83ea64ea13b"
},
"created_at": "2022-11-21T13:22:49.061281000Z",
"web_url": "https://app.attio.com/salarya/person/bf071e1f-6035-429d-b874-d83ea64ea13b",
"values": {
"email_addresses": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": null,
"created_by_actor": {
"type": "system",
"id": null
},
"original_email_address": "john-smith@attio.com",
"email_address": "john-smith@attio.com",
"email_domain": "attio.com",
"email_root_domain": "attio.com",
"email_local_specifier": "john-smith",
"attribute_type": "email-address"
}
],
"name": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": null,
"created_by_actor": {
"type": "workspace-member",
"id": "a976f6a9-fc2b-4acb-91e7-afb2d18b4e64"
},
"first_name": "John",
"last_name": "Smith",
"full_name": "John Smith",
"attribute_type": "personal-name"
}
],
"description": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": null,
"created_by_actor": {
"type": "workspace-member",
"id": "a976f6a9-fc2b-4acb-91e7-afb2d18b4e64"
},
"value": "Developer met at event",
"attribute_type": "text"
}
],
"created_at": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": null,
"created_by_actor": {
"type": "system",
"id": null
},
"value": "2023-01-01T15:00:00.000000000Z",
"attribute_type": "timestamp"
}
],
"created_by": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": null,
"created_by_actor": {
"type": "system",
"id": null
},
"referenced_actor_type": "workspace-member",
"referenced_actor_id": "a976f6a9-fc2b-4acb-91e7-afb2d18b4e64",
"attribute_type": "actor-reference"
}
],
"strongest_connection_strength_legacy": [],
"last_interaction": [],
"twitter": [],
"avatar_url": [],
"job_title": [],
"next_calendar_interaction": [],
"company": [],
"primary_location": [],
"angellist": [],
"strongest_connection_user": [],
"strongest_connection_strength": [],
"last_email_interaction": [],
"first_interaction": [],
"last_calendar_interaction": [],
"linkedin": [],
"facebook": [],
"first_calendar_interaction": [],
"twitter_follower_count": [],
"instagram": [],
"first_email_interaction": [],
"phone_numbers": []
}
}
}{
"status_code": 400,
"type": "invalid_request_error",
"code": "value_not_found",
"message": "Cannot find select attribute with select option title \"In Progress\"."
}{
"status_code": 404,
"type": "invalid_request_error",
"code": "not_found",
"message": "Object with slug/ID \"people\" not found."
}People
Create a person Record
Creates a new person Record. This endpoint will throw on conflicts of unique attributes, like email_addresses. If you would prefer to update person records on conflicts, please use the Assert person record endpoint instead. Please note, the avatar_url attribute cannot currently be set via the API.
Required scopes: record_permission:read-write, object_configuration:read.
POST
/
v2
/
objects
/
people
/
records
Create a person Record
Was this page helpful?
⌘I